/* 
 * Copyright (c) 2003 Greg Taleck <taleck@oz.net>
 * 
 * $Id: misc.h,v 1.2 2003/10/01 18:58:15 taleck Exp $
 */

#ifndef __MISC_H__
#define __MISC_H__

int resolve_ip6(struct ip6_addr *addr, const char *name);
int open_bpf(const char* bpfdev);
void send_packet(int bpf, void* packet, int len, int dump);
int close_bpf(int bpf);
void hexdump(const u_char* ptr, int len);
int num_retries();

#endif /* __MISC_H__ */
